if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARLOCK" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

-- generic spells
Watcher:addicon("Agony", 980)
Watcher:addicon("Aura of the Elements", 116202)
Watcher:addicon("Aura of Enfeeblement", 116198)
Watcher:addicon("Banish", 710)
Watcher:addicon("Carrion Swarm", 103967)
Watcher:addicon("Chaos Bolt", 116858)
Watcher:addicon("Command Demon", 119898)
Watcher:addicon("Conflagrate", 17962)
Watcher:addicon("Corruption", 172)
Watcher:addicon("Create Healthstone", 6201)
Watcher:addicon("Create Soulwell", 29893)
Watcher:addicon("Curse of Enfeeblement", 109466)
Watcher:addicon("Curse of Exhaustion", 18223)
Watcher:addicon("Curse of the Elements", 79956)
Watcher:addicon("Dark Intent", 109773)
Watcher:addicon("Dark Soul: Instability", 113858)
Watcher:addicon("Dark Soul: Knowledge", 103958)
Watcher:addicon("Dark Soul: Misery", 113860)
Watcher:addicon("Demonic Circle: Summon", 48018)
Watcher:addicon("Demonic Circle: Teleport", 48020)
Watcher:addicon("Demonic Gateway", 111771)
Watcher:addicon("Demonic Leap", 109151)
Watcher:addicon("Drain Life", 689)
Watcher:addicon("Drain Soul", 1120)
Watcher:addicon("Ember Tap", 114635)
Watcher:addicon("Enslave Demon", 1098)
Watcher:addicon("Eye of Kilrogg", 126)
Watcher:addicon("Fear", 5782)
Watcher:addicon("Fel Flame", 77799)
Watcher:addicon("Fire and Brimstone", 108683)
Watcher:addicon("Grimoire: Imp", 111859)
Watcher:addicon("Grimoire: Felguard", 111898)
Watcher:addicon("Grimoire: Felhunter", 111897)
Watcher:addicon("Grimoire: Succubus", 111896)
Watcher:addicon("Grimoire: Voidwalker", 111895)
Watcher:addicon("Hand of Gul'dan", 105174)
Watcher:addicon("Haunt", 48181)
Watcher:addicon("Havoc", 80240)
Watcher:addicon("Health Funnel", 755)
Watcher:addicon("Hellfire", 1949)
Watcher:addicon("Imp Swarm", 104316)
Watcher:addicon("Immolate", 118297)
Watcher:addicon("Incinerate", 29722)
Watcher:addicon("Life Tap", 1454)
Watcher:addicon("Malefic Grasp", 103103)
Watcher:addicon("Metamorphosis", 103958)
Watcher:addicon("Metamorphosis: Chaos Wave", 124917)
Watcher:addicon("Metamorphosis: Doom", 603)
Watcher:addicon("Metamorphosis: Immolation Aura", 103958)
Watcher:addicon("Metamorphosis: Touch of Chaos", 112089)
Watcher:addicon("Metamorphosis: Void Ray", 129343)
Watcher:addicon("Rain of Fire", 5740)
Watcher:addicon("Ritual of Summoning", 698)
Watcher:addicon("Seed of Corruption", 132566)
Watcher:addicon("Shadow Bolt", 686)
Watcher:addicon("Shadowburn", 17877)
Watcher:addicon("Soul Fire", 6353)
Watcher:addicon("Soul Swap", 86121)
Watcher:addicon("Soulburn", 74434)
Watcher:addicon("Soulshatter", 29858)
Watcher:addicon("Soulstone", 20707)
Watcher:addicon("Summon Abyssal", 112921)
Watcher:addicon("Summon Doomguard", 18540)
Watcher:addicon("Summon Infernal", 1122)
Watcher:addicon("Summon Terrorguard", 112927)
Watcher:addicon("Twilight Ward", 6229)
Watcher:addicon("Unending Breath", 5697)
Watcher:addicon("Unstable Affliction", 131736)

-- talented spells and procs

Watcher:addicon("Molten Core", 122351)
Watcher:addicon("Shadow Trance", 17941)
--[[
Watcher:addicon("Archimonde's Vengeance", 108505)
Watcher:addicon("Blood Fear", 111397)
Watcher:addicon("Burning Rush", 111400)
Watcher:addicon("Dark Bargain", 110913)
Watcher:addicon("Dark Regeneration", 108359)
Watcher:addicon("Grimoire of Sacrifice", 108503)
Watcher:addicon("Grimoire of Service", 108501)
Watcher:addicon("Grimoire of Supremacy", 108499)
Watcher:addicon("Harvest Life", 108371)
Watcher:addicon("Howl of Terror", 5484)
Watcher:addicon("Kil'jaeden's Cunning", 119049)
Watcher:addicon("Mannoroth's Fury", 108508)
Watcher:addicon("Mortal Coil", 6789)

Watcher:addicon("Sacrificial Pact", 108416)
Watcher:addicon("Shadowfury", 30283)

Watcher:addicon("Soul Fire", 6353)
Watcher:addicon("Soul Leech", 108370)
Watcher:addicon("Soul Link", 108415)
Watcher:addicon("Unbound Will", 108482)
Watcher:addicon("Unending Resolve", 104773)

-- glyphs
Watcher:addicon("Burning Embers", 64294)
Watcher:addicon("Conflagrate", 56235)
Watcher:addicon("Curse of Exhaustion", 58338)
Watcher:addicon("Dark Soul", 57268)
Watcher:addicon("Demon Hunting", 64318)
Watcher:addicon("Demon Training", 57264)
Watcher:addicon("Demonic Circle", 64317)
Watcher:addicon("Everlasting Affliction", 71102)
Watcher:addicon("Fear", 57262)
Watcher:addicon("Healthstone", 57266)
Watcher:addicon("Imp Swarm", 57269)
--Watcher:addicon("Life Tap", 64248)
Watcher:addicon("Shadowflame", 64311)
Watcher:addicon("Siphon Life", 57259)
Watcher:addicon("Soul Consumption", 58337)
Watcher:addicon("Soul Shards", 64291)
Watcher:addicon("Soul Swap", 57270)
Watcher:addicon("Soulstone", 57274)
Watcher:addicon("Carrion Swarm", 57275)
Watcher:addicon("Crimson Banish", 64250)
Watcher:addicon("Enslave Demon", 58339)
Watcher:addicon("Eye of Kilrogg", 58340)
Watcher:addicon("Falling Meteor", 57277)
Watcher:addicon("Felguard", 57263)
Watcher:addicon("Hand of Gul'dan", 57257)
Watcher:addicon("Health Funnel", 57265)
Watcher:addicon("Nightmares", 57261)
Watcher:addicon("Soulwell", 58341)
Watcher:addicon("Subtlety", 57267)
Watcher:addicon("Unending Breath", 58336)
Watcher:addicon("Verdant Spheres", 57260)
]]
function Watcher:addClassSpells()
Watcher:Debuff("Agony")
Watcher:Debuff("Corruption")
Watcher:Debuff("Curse of the Elements")
Watcher:Debuff("Immolate")
Watcher:Debuff("Metamorphosis: Doom")
Watcher:Debuff("Seed of Corruption")
Watcher:Debuff("Unstable Affliction")
Watcher:Direct("Haunt")
Watcher:Direct("Shadow Bolt")
Watcher:Proc("Shadow Trance", "Haunt")
Watcher:Proc("Molten Core", "Soul Fire")
Watcher:HealthThreshold(20, false, "Drain Soul")
end